Ошибки при установке пакетов

Используем пакеты, расширяющие возможности оборудования
Lucky
Сообщения: 36
Зарегистрирован: 21 мар 2019, 14:01

Сообщение Lucky » 03 июл 2020, 05:39

При установке любых программ вываливаются ошибки. (mipsel-3.4)

Код: Выделить всё

Package oscam-emu version 2018-04-18-r11420_r769-1b has no valid architecture, ignoring.
Package ext-ui version 0.4-5a has no valid architecture, ignoring.
Package libdvbcsa version 1.1.0-1a has no valid architecture, ignoring.
Package oscam-emu version 2018-04-18-r11420_r769-1b has no valid architecture, ignoring.
Package ext-ui version 0.4-5a has no valid architecture, ignoring.
Package libdvbcsa version 1.1.0-1a has no valid architecture, ignoring.
Package oscam-emu version 2018-04-18-r11420_r769-1b has no valid architecture, ignoring.
Package ext-ui version 0.4-5a has no valid architecture, ignoring.
Package libdvbcsa version 1.1.0-1a has no valid architecture, ignoring.
Package oscam-emu version 2018-04-18-r11420_r769-1b has no valid architecture, ignoring.


Плюс на bin.entware.net исчезла страница со списком пакетов.

Код: Выделить всё

https://bin.entware.net/mipselsf-k3.4/Packages.html

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1792
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 03 июл 2020, 09:42

Lucky, а что у Вас в файле /opt/etc/opkg.conf - покажите его содержание.

Lucky
Сообщения: 36
Зарегистрирован: 21 мар 2019, 14:01

Сообщение Lucky » 03 июл 2020, 09:56

Zyxmon,

Код: Выделить всё

# cat /opt/etc/opkg.conf
src/gz entware http://bin.entware.net/mipselsf-k3.4
dest root /
lists_dir ext /opt/var/opkg-lists
arch all 100
arch mipsel-3x 150
arch mipsel-3.4 160


Вываливаться стали после обновления всех пакетов

Код: Выделить всё

opkg update
opkg upgrade

Lucky
Сообщения: 36
Зарегистрирован: 21 мар 2019, 14:01

Сообщение Lucky » 03 июл 2020, 10:11

На 4pda видел несколько сообщений с теми же ошибка еще от 20 июня, видимо просто я поздно обновился.

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1792
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 03 июл 2020, 10:20

Lucky, похоже Вы ставите пакеты для кинетика на обычное mipsel устройство.
Если же у Вас кинетик то -
1. Вспомните, что делали в последнее время. Желательно подробно. Напишите.
2. Допишите в opkg.conf строку `arch mipsel-3.4_kn 210` далее стандартно - `opkg update; opkg upgrade`

Lucky
Сообщения: 36
Зарегистрирован: 21 мар 2019, 14:01

Сообщение Lucky » 03 июл 2020, 10:32

Zyxmon,
Нет у меня не кинетик, прошивка от Padavan'a. Entware был развернут и работал, все что я сделал, это обновил пакеты командами opkg update; opkg upgrade.

А сейчас вот такое.

Код: Выделить всё

opkg update && opkg upgrade
Downloading http://bin.entware.net/mipselsf-k3.4/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/entware
Package astra-sm version 0.2.88-2c has no valid architecture, ignoring.
Package dvb-center version 0.2-3b has no valid architecture, ignoring.
Package dvb-firmware version 1.0-5 has no valid architecture, ignoring.
Package ext-ui version 0.4-5a has no valid architecture, ignoring.
Package ext-ui-lighttpd version 0.4-5a has no valid architecture, ignoring.
Package ext-ui-nginx version 0.4-5a has no valid architecture, ignoring.
Package iptables version 1.4.21-3 has no valid architecture, ignoring.
Package kmod_ndms version 24-5a has no valid architecture, ignoring.
Package libdvbcsa version 1.1.0-1a has no valid architecture, ignoring.
Package libndm version 1.1.10-2 has no valid architecture, ignoring.
Package list-smargo-emu version 2018-04-18-r11420_r769-1b has no valid architecture, ignoring.
Package minisatip_ndms version 0.7-1a has no valid architecture, ignoring.
Package music-center version 0.1-6 has no valid architecture, ignoring.
Package ndmq version 1.0.2-6 has no valid architecture, ignoring.
Package opt-ndmsv2 version 1.0-12a has no valid architecture, ignoring.
Package oscam-emu version 2018-04-18-r11420_r769-1b has no valid architecture, ignoring.
Package poorbox version 1.31.1-3 has no valid architecture, ignoring.
Package scan-s2 version 1.0-4b has no valid architecture, ignoring.
Package tvheadend_ndms version 4.2.6-5c has no valid architecture, ignoring.
Package tvheadend_ndms_devel version 4.3.0-6c has no valid architecture, ignoring.
Package w_scan version 20170107-1b has no valid architecture, ignoring.

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1792
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 03 июл 2020, 10:56

Все понятно, спасибо. Пока игнорируйте эти ошибки. Сегодня починим и после opkg update они исчезнут.

Lucky
Сообщения: 36
Зарегистрирован: 21 мар 2019, 14:01

Сообщение Lucky » 03 июл 2020, 12:35

Zyxmon,
Все, ошибки ушли. А почему adguardhome убрали в кинетик? На Padavan'e работает без проблем.


Вернуться в «Entware/Qnapware/Optware/Zyxware - обсуждаем репозитории пакетов»

Кто сейчас на конференции

Всего 3 посетителя :: 2 зарегистрированных, 0 скрытых и 1 гость (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (162) здесь было 16 ноя 2019, 17:33

Сейчас этот форум просматривают: CommonCrawl [Bot], Yandex [Bot] и 1 гость